# Integrals.jl: Unified Integral Approximation Interface

Integrals.jl is a unified interface for the numerical approximation of integrals
(quadrature) in Julia. It interfaces with other packages of the Julia ecosystem
to make it easy to test alternative solver packages and pass small types to
control algorithm swapping.

## Installation

To install Integrals.jl, use the Julia package manager:

```julia
using Pkg
Pkg.add("Integrals")
```

## Contributing

- Please refer to the
  [SciML ColPrac: Contributor's Guide on Collaborative Practices for Community Packages](https://github.com/SciML/ColPrac/blob/master/README.md)
  for guidance on PRs, issues, and other matters relating to contributing to ModelingToolkit.
- There are a few community forums:
    - the #diffeq-bridged channel in the [Julia Slack](https://julialang.org/slack/)
    - [JuliaDiffEq](https://gitter.im/JuliaDiffEq/Lobby) on Gitter
    - on the [Julia Discourse forums](https://discourse.julialang.org/)
    - see also [SciML Community page](https://sciml.ai/community/)
